rte_flow_action_sample(3)

NAME
rte_flow_action_sample

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t ratio
const struct rte_flow_action * actions

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_SAMPLE

Adds a sample action to a matched flow.

The matching packets will be duplicated with specified ratio and applied with own set of actions with a fate action, the sampled packet could be redirected to queue or port. All the packets continue processing on the default flow path.

When the sample ratio is set to 1 then the packets will be 100% mirrored. Additional action list be supported to add for sampled or mirrored packets.

Definition at line 4334 of file rte_flow.h.

Field Documentation

  uint32_t ratio
packets sampled equals to '1/ratio'.

Definition at line 4335 of file rte_flow.h.

  const struct rte_flow_action* actions
sub-action list specific for the sampling hit cases.

Definition at line 4337 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.